## START: Set by rpmautospec
## (rpmautospec version 0.7.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           dtkwidget
Version:        5.6.31
Release:        %autorelease
Summary:        Deepin tool kit widget modules
License:        LGPL-3.0-or-later
URL:            https://github.com/linuxdeepin/dtkwidget
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5PrintSupport)
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5X11Extras)
BuildRequires:  cmake(Qt5Help)
BuildRequires:  cmake(Qt5UiPlugin)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  qt5-qtbase-private-devel
%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}

BuildRequires:  cmake(DtkCore)
BuildRequires:  cmake(DtkGui)

BuildRequires:  pkgconfig(gsettings-qt)
BuildRequires:  pkgconfig(xcb-util)
BuildRequires:  pkgconfig(libstartup-notification-1.0)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(x11)

BuildRequires:  doxygen

%description
DtkWidget is Deepin graphical user interface for deepin desktop development.

%package        devel
Summary:        Development package for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
Header files and libraries for %{name}.

%prep
%autosetup -p1

%build
%cmake \
    -DBUILD_DOCS=ON \
    -DQCH_INSTALL_DESTINATION=%{_qt5_docdir}
%cmake_build

%install
%cmake_install

%files
%doc README.md
%license LICENSE
%{_libdir}/libdtkwidget.so.5*
%{_libdir}/dtk5/DWidget
%{_datadir}/dtk5/DWidget

%files devel
%{_includedir}/dtk5/DWidget/
%{_libdir}/cmake/DtkWidget/
%{_libdir}/pkgconfig/dtkwidget.pc
%{_libdir}/libdtkwidget.so
%{_qt5_docdir}/dtkwidget.qch
%{_qt5_archdatadir}/mkspecs/modules/*.pri

%changelog
## START: Generated by rpmautospec
* Thu Sep 05 2024 Jan Grulich <jgrulich@redhat.com> - 5.6.31-2
- Rebuild (qt5)

* Fri Aug 09 2024 Felix Wang <topazus@outlook.com> - 5.6.31-1
- 5.6.31

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.6.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.6.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.6.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Aug 20 2023 Robin Lee <cheeselee@fedoraproject.org> - 5.6.12-1
- New release 5.6.12

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.41-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.41-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.41-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jul 14 2022 Jan Grulich <jgrulich@redhat.com> - 5.5.41-3
- Rebuild (qt5)

* Tue May 17 2022 Jan Grulich <jgrulich@redhat.com> - 5.5.41-2
- Rebuild (qt5)

* Tue Apr 19 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.5.41-1
- New release 5.5.41

* Tue Mar 08 2022 Jan Grulich <jgrulich@redhat.com> - 5.5.37-2
- Rebuild (qt5)

* Fri Feb 18 2022 Robin Lee <cheeselee@fedoraproject.org> - 5.5.37-1
- New release 5.5.37

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.17.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Sep 06 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.5.17.1-1
- New release 5.5.17.1

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Mar 11 2021 Robin Lee <cheeselee@fedoraproject.org> - 5.4.1-1
- refactor: 为已存在的DApplication对象重设命令行参数 (zccrs)

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Nov 25 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.3.0-1
- new upstream release: 5.3.0

* Mon Nov 23 07:51:54 CET 2020 Jan Grulich <jgrulich@redhat.com> - 5.2.2.16-2
- rebuild (qt5)

* Sun Sep 27 2020 Robin Lee <cheeselee@fedoraproject.org> - 5.2.2.16-1
- new upstream release: 5.2.2.16

* Fri Sep 11 2020 Jan Grulich <jgrulich@redhat.com> - 2.1.1-7
- rebuild (qt5)

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Apr 06 2020 Rex Dieter <rdieter@fedoraproject.org> - 2.1.1-5
- rebuild (qt5)

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Dec 09 2019 Jan Grulich <jgrulich@redhat.com> - 2.1.1-3
- rebuild (qt5)

* Wed Sep 25 2019 Jan Grulich <jgrulich@redhat.com> - 2.1.1-2
- rebuild (qt5)

* Fri Aug  9 2019 Robin Lee <cheeselee@fedoraproject.org> - 2.1.1-1
- Release 2.1.1

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.16.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jul 16 2019 Robin Lee <cheeselee@fedoraproject.org> - 2.0.16.1-1
- Update to 2.0.16.1

* Mon Jun 17 2019 Jan Grulich <jgrulich@redhat.com> - 2.0.9.17-4
- rebuild (qt5)

* Wed Jun 05 2019 Jan Grulich <jgrulich@redhat.com> - 2.0.9.17-3
- rebuild (qt5)

* Sun Mar 10 2019 Robin Lee <cheeselee@fedoraproject.org> - 2.0.9.17-2
- rebuild (Qt5)

* Tue Feb 26 2019 Robin Lee <cheeselee@fedoraproject.org> - 2.0.9.17-1
- Update to 2.0.9.17

* Thu Jan 31 2019 mosquito <sensor.wen@gmail.com> - 2.0.9.16-1
- Update to 2.0.9.16

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.9.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Jan 01 2019 Rex Dieter <rdieter@fedoraproject.org> - 2.0.9.11-3
- use %%ldconfig_scriptlets
- own %%_libdir/cmake/DtkWidget

* Tue Dec 18 2018 Rex Dieter <rdieter@fedoraproject.org> - 2.0.9.11-2
- rebuild (Qt5)

* Thu Dec 13 2018 mosquito <sensor.wen@gmail.com> - 2.0.9.11-1
- Update to 2.0.9.11

* Thu Dec 13 2018 Rex Dieter <rdieter@fedoraproject.org> - 2.0.9.9-3
- rebuild (qt5)

* Thu Nov 29 2018 mosquito <sensor.wen@gmail.com> - 2.0.9.9-2
- Remove obsoletes statement (BZ#1537224)

* Sun Nov  4 2018 mosquito <sensor.wen@gmail.com> - 2.0.9.9-1
- Update to 2.0.9.9

* Fri Sep 21 2018 Jan Grulich <jgrulich@redhat.com> - 2.0.9.3-2
- rebuild (qt5)

* Sat Aug 25 2018 mosquito <sensor.wen@gmail.com> - 2.0.9.3-1
- Update to 2.0.9.3

* Fri Aug 10 2018 mosquito <sensor.wen@gmail.com> - 2.0.9.2-1
- Update to 2.0.9.2

* Fri Jul 27 2018 mosquito <sensor.wen@gmail.com> - 2.0.9.1-1
- Update to 2.0.9.1

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 21 2018 Rex Dieter <rdieter@fedoraproject.org> - 2.0.6.1-3
- rebuild (qt5)

* Sun May 27 2018 Rex Dieter <rdieter@fedoraproject.org> - 2.0.6.1-2
- BR: qt5-qtbase-private-devel

* Tue Feb 20 2018 mosquito <sensor.wen@gmail.com> - 2.0.6.1-1
- Update to 2.0.6.1

* Mon Feb 19 2018 Rex Dieter <rdieter@fedoraproject.org> - 2.0.5.3-3
- rebuild (qt5)

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Dec 28 2017 mosquito <sensor.wen@gmail.com> - 2.0.5.3-1
- Update to 2.0.5.3

* Mon Nov 27 2017 mosquito <sensor.wen@gmail.com> - 2.0.5.2-1
- Update to 2.0.5.2

* Fri Oct 27 2017 mosquito <sensor.wen@gmail.com> - 2.0.4.1-1
- Update to 2.0.4.1

* Mon Oct 23 2017 mosquito <sensor.wen@gmail.com> - 2.0.1-2
- Fix DAboutDialog icon not supporting hidpi

* Tue Oct 17 2017 mosquito <sensor.wen@gmail.com> - 2.0.1-1
- Update to 2.0.1

* Thu Aug 24 2017 mosquito <sensor.wen@gmail.com> - 2.0.0-2
- Dont depend a specific version of Qt

* Sun Aug 20 2017 mosquito <sensor.wen@gmail.com> - 2.0.0-1
- Update to 2.0.0

* Sat Jul 29 2017 mosquito <sensor.wen@gmail.com> - 0.3.3-1
- Initial package build

## END: Generated by rpmautospec
